Subject: Re: What's new in git-gui.git

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 29 May 2007 22:34:19 -0400

Petr Baudis <[email-masked]> wrote:
> On Tue, May 29, 2007 at 06:11:08AM CEST, Shawn O. Pearce wrote:
> > Apparently the Linux folks have this new fangled inotify thing
> > that is also good at telling applications about changed files.
> > It seems the hg folks are using it to speed up "hg status" by
> > having a background daemon keep track of which files are dirty,
> > and which aren't.
> 
> How well does this play with NFS? I'm working at two places and at both
> have my ~ on NFS and sometimes touch the working tree from various
> machines. Would the inotify-based approach silently fail here? Or does
> inotify just refuse to work on NFS? Quick google search suggests the
> former, which is more than ok for informative purposes but big problem
> if you actually _rely_ on the inotify to keep your index up-to-date.

>>From what I've read on it thus far (which isn't much) inotify
doesn't work over NFS.

I would *never* suggest relying on inotify for everything.
But making it an option for folks who can use it may be nice.
A lot of us do work on a local filesystem.  Being able to get
faster status output in those cases could be nice, especially on
a big tree and slow VFS systems like Windows.

-- 
Shawn.